| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | Properties

# IG::Num::SampledDataCsv::DataColumnDefinition Class Reference

Used to define which columns in a data table correspond to which input or output elements. More...

List of all members.

## Public Member Functions
bool | IsDefined ()
override string | ToString ()
| Returns string representation of the current column data definition.
## Static Public Member Functions
static string | ToStringList (List< DataColumnDefinition > list)
| Returns string representation of a list of data column definitions.
static string | ToStringList (List< DataColumnDefinition > list, string introString)
| Returns string representation of a list of data column definitions.
## Public Attributes
int | Column = -1
| Number of column within the data table.
int | ColumnIndex = -1
| Index of the data colum. Corresponds to sequential index of the corresponding column in the data table, in order of appearance in the data table.
bool | IsInputOutputDefined = false
| Whether it is known if the element is input or output element.
int | ElementIndex = -1
| Input or output element index within the data set (defines which input parameter or which output value is defined by the specific element).
## Protected Attributes
bool | _isInput = true
## Properties
bool | IsInput`[get, set]`
| Whether the column belongs to input elements.

## Detailed Description

Used to define which columns in a data table correspond to which input or output elements.

## Member Function Documentation

bool IG::Num::SampledDataCsv::DataColumnDefinition::IsDefined | ( |  | ) | `[inline]`

override string IG::Num::SampledDataCsv::DataColumnDefinition::ToString | ( |  | ) | `[inline]`

Returns string representation of the current column data definition.

static string IG::Num::SampledDataCsv::DataColumnDefinition::ToStringList | ( | List< DataColumnDefinition > | list | ) | `[inline, static]`

Returns string representation of a list of data column definitions.

Parameters:

  list | List of data column definitions whose string representation is returned.

static string IG::Num::SampledDataCsv::DataColumnDefinition::ToStringList | ( | List< DataColumnDefinition > | list,
|  | string | introString
| ) |  | `[inline, static]`

Returns string representation of a list of data column definitions.

Parameters:

  list | List of data column definitions whose string representation is returned.
  introString | Introducory string, which is written in fromt of other data (with additional newline after it). If null or empty string then it is skipped.

## Member Data Documentation

int IG::Num::SampledDataCsv::DataColumnDefinition::Column = -1

Number of column within the data table.

int IG::Num::SampledDataCsv::DataColumnDefinition::ColumnIndex = -1

Index of the data colum. Corresponds to sequential index of the corresponding column in the data table, in order of appearance in the data table.

bool IG::Num::SampledDataCsv::DataColumnDefinition::IsInputOutputDefined = false

Whether it is known if the element is input or output element.

bool IG::Num::SampledDataCsv::DataColumnDefinition::_isInput = true`[protected]`

int IG::Num::SampledDataCsv::DataColumnDefinition::ElementIndex = -1

Input or output element index within the data set (defines which input parameter or which output value is defined by the specific element).

## Property Documentation

bool IG::Num::SampledDataCsv::DataColumnDefinition::IsInput`[get, set]`

Whether the column belongs to input elements.

The documentation for this class was generated from the following file:

- SampledDataCsv.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events